slime under ubuntu feisty 7.04

July 4, 2008 at 5:53 pm | Posted in Uncategorized | Leave a comment

Been struggling to get lisp (slime) working under my ubuntu feisty 7.04. I kept on getting an error

*** – LOAD: A file with name
/usr/share/emacs/22.1/site-lisp/slime/swank-loader.lisp does not exist

Anyway, I found the solution. I am posting this online so some other poor soul whose a lisp hacker will know of the solution. Add these lines to your .emacs file:

(add-to-list ‘load-path “~/usr/share/common-lisp/source/slime/”)
(setq slime-path “/usr/share/common-lisp/source/slime/”)
(add-to-list ‘load-path “~/.SLIME”)
(require ‘slime)
(slime-setup)
(add-hook ‘lisp-mode-hook
(lambda ()
(slime-mode t)))
(add-hook ‘inferior-lisp-mode-hook
(lambda () (inferior-slime-mode t)))

Advertisements

Blog at WordPress.com.
Entries and comments feeds.

%d bloggers like this: